## org.biojava.bio.seq.io.agave
Class AGAVEEvidenceHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVEEvidenceHandler

All Implemented Interfaces:
  AGAVEEvidenceCallbackItf, StAXContentHandler

public class AGAVEEvidenceHandler
extends StAXFeatureHandler
implements AGAVEEvidenceCallbackItf

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_EVIDENCE_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary
`void` `addElementId(java.lang.String id)`
`void` `endElementHandler(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_EVIDENCE_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_EVIDENCE_HANDLER_FACTORY

Method Detail

### addElementId

    public void addElementId(java.lang.String id)

  Specified by:
    `addElementId` in interface `AGAVEEvidenceCallbackItf`

### endElementHandler

    public void endElementHandler(java.lang.String nsURI,
                                  java.lang.String localName,
                                  java.lang.String qName,
                                  StAXContentHandler handler)
                           throws org.xml.sax.SAXException

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`
  Throws:
    `org.xml.sax.SAXException`